wxRuby Documentation Home

# Wx::WindowDC

A WindowDC must be constructed if an application wishes to paint on the
whole area of a window (client and decorations such as the
toolbar). This class is Windows only.

To draw on a window from inside OnPaint, construct a
PaintDC object.

To draw on the client area of a window from outside OnPaint, construct
a ClientDC object.

## Derived from

DC

## See also

DC, MemoryDC, PaintDC, ClientDC, ScreenDC

## Methods

- WindowDC.new

### WindowDC.new

WindowDC.new(%(arg-type)Window% window)

Constructor. Pass a pointer to the window on which you wish to paint.

[This page automatically generated from the Textile source at 2023-06-09 00:45:32 +0000]